summaryrefslogtreecommitdiff
path: root/package/base-files/ar7/etc/preinit
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2006-11-03 22:03:50 +0000
committerFelix Fietkau <nbd@openwrt.org>2006-11-03 22:03:50 +0000
commit86e2fbaaa4fc7a71dd99498624d249153ccc2954 (patch)
treec8c669c1edd5167a54f989841b176d00447e8371 /package/base-files/ar7/etc/preinit
parentc9dcbd5531225af936844b9a484dc384f688bebb (diff)
downloadmtk-20170518-86e2fbaaa4fc7a71dd99498624d249153ccc2954.zip
mtk-20170518-86e2fbaaa4fc7a71dd99498624d249153ccc2954.tar.gz
mtk-20170518-86e2fbaaa4fc7a71dd99498624d249153ccc2954.tar.bz2
rename the <boardname>-<kernelversion> directories of base-files to just <boardname>, so that the broadcom stuff can share files across kernel versions. adding back <boardname>-<kernelversion> for version specific overrides is still possible
SVN-Revision: 5427
Diffstat (limited to 'package/base-files/ar7/etc/preinit')
-rwxr-xr-xpackage/base-files/ar7/etc/preinit11
1 files changed, 11 insertions, 0 deletions
diff --git a/package/base-files/ar7/etc/preinit b/package/base-files/ar7/etc/preinit
new file mode 100755
index 0000000..5b676ca
--- /dev/null
+++ b/package/base-files/ar7/etc/preinit
@@ -0,0 +1,11 @@
+#!/bin/sh
+export PATH=/bin:/sbin:/usr/bin:/usr/sbin
+mount none /proc -t proc
+
+[ -f /etc/preinit.arch ] && . /etc/preinit.arch
+[ -z "$FAILSAFE" ] || {
+ echo /bin/true > /proc/sys/kernel/hotplug
+ telnetd -l /bin/login <> /dev/null 2>&1
+}
+mount_root ${FAILSAFE:+failsafe}
+exec /sbin/init